cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
24223
Views
0
Helpful
41
Replies

SPA3102 new firmware 5.1.10 ignores preferred codec

peterp-alerts
Beginner
Beginner

I've recently upgraded to new firmware 5.1.10, however it seems it breaks the ability to adhere to the chosen "preferred codec".

For some reason, if i select G729a as my preferred codec, the unit will for some reason select G711u as the active codec to place the VoIP call. This behaviour was not evident with firmware 5.1.7 - and it's not a VSP issue.

I've tried to fatory default the unit to resolve the problem but no luck! Tried to factory default and roll back to 5.1.7 and then to 5.1.5(a) and then 3.2.10 and stil no luck. (I had a back up of my config from a few months ago whilst using t 5.1.7 and tried to restore to that, (in case the upgrade to 5.1.10 mangled some settings) after factory defaulting whilst running 5.1.7 and still no luck)

Anyway here is a thread with all the issues we've had http://forums.whirlpool.net.au/forum-replies.cfm?t=1130617

- there are many other users who now suffer this issue since upgrading.

So anyone from Linksys Cisco want to explain what is going on here?

41 Replies 41

Hi Dave -

Apologies for the long delay...

To answer your question, I reside in Australia and I can confirm that this issue I’m experiencing is certainly related to this new F/W 5.1.10..

In frustration; I ended up downgrading to 5.1.7; changed nothing, no settings, no tinkering what so ever and is working as expected without the issues I had described in my earlier post.

Can’t really be bothered going back to 5.1.10 just to get screenshot of bottom of pstn line tab, although it has remained unchanged after downgrade so it should be the same – yet it’s now working fine regardless..

I am aware of the hang-up tone for Aus, as far as I know I’m using the correct one; that being: 425@-30,425@-30;1(.375/.375/1+2)

Michael

Hi Michael,

Thanks for the feedback.  I've seen a few reports now of people running into this sort of issue with the 5.1.10 firmware and being fixed by a downgrade.  This is pretty obviously a software issue, and has been raised with engineering.  Hopefully we should have some feedback for you soon.

Cheers,

Dave.

I have today received an email notication to say that 5.1.7 is obsolete, and I also see that there is a file SPA3102_5.1.10.zip dated 19 April 2010.

Is this the same 5.1.10 that is causing the problems identified in this thread? With 5.1.7 being obsoleted, what version should we regress to to resolve the issues in 5.1.10?

Is there any news of when a new version, resolving the issues, might be available? I am desperate to be able to upgrade my firmware, but it doesn't appear to be safe to move to 5.1.10.

If 5.1.7 works for you don't upgrade.

I registered to this forum just to say:

What on earth is going on? The issue in this thread is well over a year old, and there seems to be no sign of it being resolved. When Cisco took over the Linksys products I had hopes that the aging but still excellent SPA-3102 might actually get properly supported with newer firmware, but judging by the progress so far this doesn't seem to be the case. Can we have an update please?

Cisco Support,

can you please confirm or otherwise if the SPA3102 continues to be a Cisco supported product?

Regards,

Arne

Has anybody tried the new firmware (3.3.6) yet?

http://tools.cisco.com/support/downloads/go/ImageList.x?relVer=3.3.6&mdfid=282414112&sftType=Analog+Telephone+Adaptor+%28ATA%29+Firmware&optPlat=&nodecount=2&edesignator=null&modelName=Cisco+SPA3102+Voice+Gateway+with+Router&treeMdfId=278875240&treeN...

What an ANNOYING procedure just to d/l a simple file!

I think these cisco web designers have nothing really to do except of to put more hurdles in our way!

anyhow, please give a feedback if you tried the new f/w, thanks!

It ain't new. It's the original firmware that came with the first batch of 3102s, like mine.

They probably decided to re-post it on the website, that's why the "new" date against it.

If you open the zip file, notice within it the true date of July 2006 against the files.

BTW, I agree that their download process is indeed annoying.

Thanks for the info, was wondering about the backwards numbering too.

Another "nice job" done by the cisco web designers (I know it is an oxymoron to call them designers, but even a horrible design as this cisco site is still a design of some sord)

And of course hail to the engineers (again, if one can call them so), for messing things up even more instead of correcting them.

I am sure they are all proud.

bugmenolonger
Beginner
Beginner

Hi Alberto,

I live in the UK and use a BT line.

I have setup my SPA-3102 to use the PSTN line (BT line in this case), when I dial 9.

I rarely use PSTN, apart from using the 1471 BT service

This BT service is an automated voice telling you what number called you last.

Using the test firmware you posted a few days ago I tried dialling 9 (for PSTN) 1471 #  and I get no response.

Tried twice and still no response.

Flashed my SPA-3102 back to the 'official' 5.1.10 and now when I dial 91471# I can hear the automated voice.

I therefore believe your test firmware is causing more problems than what it was supposed to solve.

Just my 2p.

Thank You for your assistance!

Hi Alberto,

Upgraded with new test firmware "spa3102-0624h.bin", and can report that I can no longer create a VoIP to PSTN "Hotline" between my SPA942 & SPA3102. Downgrading to 5.1.10 solves the problem.

cheers.

Hi;

Thanks for the info. I'm informing engineering of this issue on the test firmware.

Regards

Alberto

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community: